SKB_STORE_BITS(9)

NAME
skb_store_bits - store bits from kernel buffer to skb

SYNOPSIS

int skb_store_bits(struct sk_buff * skb, int offset, const void * from, int len);

ARGUMENTS

skb
    destination buffer

offset
    offset in destination

from
    source buffer

len
    number of bytes to copy

DESCRIPTION

Copy the specified number of bytes from the source buffer to the destination skb. This function handles all the messy bits of traversing fragment lists and such.

COPYRIGHT